%define version	1.31.01
%define realversion	1.3101
%define release	%mkrel 6
%define name 	perl-Convert-BER
%define realname	Convert-BER

Summary:        Convert-BER (module for perl)
Name: 		%{name}
version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	%{realname}-%{realversion}.tar.bz2
BuildArch:	noarch
URL: 		http://www.cpan.org/modules/by-module/Convert/
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-root/
Requires: 	perl

%description
Convert::BER is a perl object class implementation to encode
and decode objects as described by ITU-T standard X.209 (ASN.1)
using Basic Encoding Rules (BER)
	
%prep
%setup -q -n %{realname}-%{realversion}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README ChangeLog
%{perl_vendorlib}/Convert
%{_mandir}/*/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.31.01-6mdv2009.0
+ Revision: 223577
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.31.01-5mdv2008.1
+ Revision: 136694
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.31.01-5mdv2007.0
+ Revision: 108545
- rebuild

* Tue Aug 29 2006 Olivier Thauvin <nanardon@mandriva.org> 1.31.01-4mdv2007.0
+ Revision: 58429
- mkrel
- do make test
- Import perl-Convert-BER

